org.apache.ignite.internal.processors.query.stat.hll.util

## Class BitUtil

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.hll.util.BitUtil

    public class BitUtil
    extends Object

A collection of bit utilities.

### Constructor Summary

Constructors
Constructor and Description
`BitUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `leastSignificantBit(long value)` Computes the least-significant bit of the specified `long` that is set to `1`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitUtil

    public BitUtil()

### Method Detail

#### leastSignificantBit

    public static int leastSignificantBit(long value)

Computes the least-significant bit of the specified `long` that is set to `1`. Zero-indexed.

Parameters:
  `value` - the `long` whose least-significant bit is desired.
Returns:
  the least-significant bit of the specified `long`. `-1` is returned if there are no bits set.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023